CVE-2017-6508

MEDIUM

Description

CRLF injection vulnerability in the url_parse function in url.c in Wget through 1.19.1 allows remote attackers to inject arbitrary HTTP headers via CRLF sequences in the host subcomponent of a URL.

References

http://git.savannah.gnu.org/cgit/wget.git/commit/?id=4d729e322fae359a1aefaafec1144764a54e8ad4

http://lists.gnu.org/archive/html/bug-wget/2017-03/msg00018.html

http://www.securityfocus.com/bid/96877

https://security.gentoo.org/glsa/201706-16

Details

Source: MITRE

Published: 2017-03-07

Updated: 2017-07-01

Type: CWE-93

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 6.1

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

Impact Score: 2.7

Exploitability Score: 2.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:gnu:wget:*:*:*:*:*:*:*:* versions up to 1.19.1 (inclusive)

Tenable Plugins

View all (19 total)

IDNameProductFamilySeverity
134747EulerOS Virtualization 3.0.2.2 : wget (EulerOS-SA-2020-1281)NessusHuawei Local Security Checks
medium
134491EulerOS Virtualization for ARM 64 3.0.2.0 : wget (EulerOS-SA-2020-1202)NessusHuawei Local Security Checks
medium
132216EulerOS 2.0 SP3 : wget (EulerOS-SA-2019-2681)NessusHuawei Local Security Checks
medium
131654EulerOS 2.0 SP2 : wget (EulerOS-SA-2019-2501)NessusHuawei Local Security Checks
medium
130660EulerOS 2.0 SP5 : wget (EulerOS-SA-2019-2198)NessusHuawei Local Security Checks
medium
121793Photon OS 2.0: Wget PHSA-2017-2.0-0008NessusPhotonOS Local Security Checks
medium
121710Photon OS 1.0: Wget PHSA-2017-0023NessusPhotonOS Local Security Checks
high
111906Photon OS 2.0: Binutils / Linux / Wget PHSA-2017-2.0-0008 (deprecated)NessusPhotonOS Local Security Checks
medium
111872Photon OS 1.0: Glibc / Shadow / Systemd / Wget PHSA-2017-0023 (deprecated)NessusPhotonOS Local Security Checks
high
104211Ubuntu 14.04 LTS / 16.04 LTS / 17.04 / 17.10 : wget vulnerabilities (USN-3464-1)NessusUbuntu Local Security Checks
high
102869Amazon Linux AMI : wget (ALAS-2017-881)NessusAmazon Linux Local Security Checks
medium
101612Fedora 26 : wget (2017-38c3781b89)NessusFedora Local Security Checks
medium
100942GLSA-201706-16 : GNU Wget: Header injectionNessusGentoo Local Security Checks
medium
100750Fedora 24 : wget (2017-ed1c665a3f)NessusFedora Local Security Checks
medium
100604Fedora 25 : wget (2017-22f1a8404e)NessusFedora Local Security Checks
medium
99111openSUSE Security Update : wget (openSUSE-2017-412)NessusSuSE Local Security Checks
medium
97915SUSE SLED12 / SLES12 Security Update : wget (SUSE-SU-2017:0800-1)NessusSuSE Local Security Checks
medium
97914SUSE SLES11 Security Update : wget (SUSE-SU-2017:0799-1)NessusSuSE Local Security Checks
medium
97642Debian DLA-851-1 : wget security updateNessusDebian Local Security Checks
medium